name: Upload Artifacts

on:
  workflow_dispatch:

jobs:
  build-and-upload:
    runs-on: ubuntu-22.04
    steps:
      - name: Checkout repository
        uses: actions/checkout@v4

      - name: Create an artifact
        run: |
          ls -la ${{ github.workspace }}
          cd backend
          echo "This is my artifact content." > artifact.txt
          ls -la ${{ github.workspace }}/backend
          stat ./artifact.txt

      - name: Upload artifact
        uses: actions/upload-artifact@v3
        with:
          name: build-artifact # Folder name of artifact.txt
          path: ${{ github.workspace }}/backend/artifact.txt
          retention-days: 5 # Optional: Set the retention period for the artifact